using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

class Vaga
{
    private int od;
    private int  dokle;
    public Vaga(int od, int dokle)
    {
        this.od = od;
        this.dokle = dokle;
    }
    public int Od() { return od; }
    public int Dokle() { return dokle; }
}
class Program
{
    static void Input(int x, List<Vaga> a)
    {
        for (int i = 0; i < x; i++)
        {
            string[] niska = Console.ReadLine().Split();
            Vaga vaga = new Vaga(int.Parse(niska[0]), int.Parse(niska[1]));
            a.Add(vaga);
        }
    }
    static int Vagafunk(int od, int dokle, int tezina, List<Vaga> a)
    {
        for(int i = od - 1; i <= dokle - 1; i++)
        {
            if (a[i].Od() <= tezina && tezina <= a[i].Dokle()) 
            {
                return 1;
            }
        }
        return 0;
    }

    static void Main()
    {
        var s = Console.ReadLine().Split(' ');
        int n = int.Parse(s[0]);
        int m = int.Parse(s[1]);
        List<Vaga> a = new List<Vaga>(n);
        Input(n, a);
        for (int i = 0; i < m; i++) 
        {
            string[] niska = Console.ReadLine().Split(' ');
            Console.WriteLine(Vagafunk(int.Parse(niska[0]), int.Parse(niska[1]), int.Parse(niska[2]), a));
        }
    }
}